# Capture a signature

Capture a cardholder's signature on a Payroc Cloud device by submitting a signature instruction, polling for its status, and retrieving the captured signature image.

An AI skill is available for this guide, get it on the [Skills Marketplace (GitHub)](https://github.com/payroc/skills).

After you configure a device for Payroc Cloud, program your POS to use the Submit Signature Instruction method to send a signature instruction to the payment device.

To capture a cardholder’s signature, complete the following:

1. Submit a signature instruction to the device.
2. View the status of the signature instruction.
3. View the signature.

You can also cancel a signature instruction if it hasn’t yet completed.

<a id="before-you-begin"></a>
## Before you begin

[Authenticate your requests](/api/authentication) before making API calls. If your request fails, see [Errors](/api/errors).

<a id="step-1-submit-a-signature-instruction"></a>
## Step 1. Submit a signature instruction

To submit a signature instruction to a device, send a POST request to the Devices endpoint.

| Environment | URL |
| --- | --- |
| Test | [https://api.uat.payroc.com/v1/devices/\{serialNumber\}/signature-instructions](https://api.uat.payroc.com/v1/devices/%7BserialNumber%7D/signature-instructions) |
| Production | [https://api.payroc.com/v1/devices/\{serialNumber\}/signature-instructions](https://api.payroc.com/v1/devices/%7BserialNumber%7D/signature-instructions) |

<a id="request-parameters"></a>
### Request parameters

To create the body of your request, use the following parameters:

<a id="schema-requestbody"></a>
### Schema (`request.body`)

[Request body schema for `POST /devices/{serialNumber}/signature-instructions`](/api/send-signature-instruction)

<a id="example-request"></a>
#### Example request

<a id="request"></a>
### Request

POST [https://api.payroc.com/v1/devices/\{serialNumber\}/signature-instructions](https://api.payroc.com/v1/devices/%7BserialNumber%7D/signature-instructions)

**`Signature Instruction`**

```curl
curl -X POST https://api.payroc.com/v1/devices/1850010868/signature-instructions \
     -H "Idempotency-Key: 8e03978e-40d5-43e8-bc93-6894a57f9324" \
     -H "Authorization: Bearer <token>" \
     -H "Content-Type: application/json" \
     -d '{
  "processingTerminalId": "1234001"
}'
```

**`Signature Instruction`**

```python
import requests

url = "https://api.payroc.com/v1/devices/1850010868/signature-instructions"

payload = { "processingTerminalId": "1234001" }
headers = {
    "Idempotency-Key": "8e03978e-40d5-43e8-bc93-6894a57f9324",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

**`Signature Instruction`**

```javascript
const url = 'https://api.payroc.com/v1/devices/1850010868/signature-instructions';
const options = {
  method: 'POST',
  headers: {
    'Idempotency-Key': '8e03978e-40d5-43e8-bc93-6894a57f9324',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: '{"processingTerminalId":"1234001"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

**`Signature Instruction`**

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.payroc.com/v1/devices/1850010868/signature-instructions"

	payload := strings.NewReader("{\n  \"processingTerminalId\": \"1234001\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Idempotency-Key", "8e03978e-40d5-43e8-bc93-6894a57f9324")
	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

**`Signature Instruction`**

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.payroc.com/v1/devices/1850010868/signature-instructions")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '8e03978e-40d5-43e8-bc93-6894a57f9324'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"processingTerminalId\": \"1234001\"\n}"

response = http.request(request)
puts response.read_body
```

**`Signature Instruction`**

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.payroc.com/v1/devices/1850010868/signature-instructions")
  .header("Idempotency-Key", "8e03978e-40d5-43e8-bc93-6894a57f9324")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"processingTerminalId\": \"1234001\"\n}")
  .asString();
```

**`Signature Instruction`**

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.payroc.com/v1/devices/1850010868/signature-instructions', [
  'body' => '{
  "processingTerminalId": "1234001"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
    'Idempotency-Key' => '8e03978e-40d5-43e8-bc93-6894a57f9324',
  ],
]);

echo $response->getBody();
```

**`Signature Instruction`**

```csharp
using RestSharp;

var client = new RestClient("https://api.payroc.com/v1/devices/1850010868/signature-instructions");
var request = new RestRequest(Method.POST);
request.AddHeader("Idempotency-Key", "8e03978e-40d5-43e8-bc93-6894a57f9324");
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"processingTerminalId\": \"1234001\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

**`Signature Instruction`**

```swift
import Foundation

let headers = [
  "Idempotency-Key": "8e03978e-40d5-43e8-bc93-6894a57f9324",
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["processingTerminalId": "1234001"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.payroc.com/v1/devices/1850010868/signature-instructions")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

<a id="response-fields"></a>
### Response fields

If your request is successful, we send the signature instruction to the device.

**Note:** The response returns a value of `inProgress` for the status field and an identifier for the instruction that you can use to check the status of the instruction. To get a link to view the details of the signature capture, go to Step 2.

<a id="schema-responsebody"></a>
### Schema (`response.body`)

[Response body schema for `POST /devices/{serialNumber}/signature-instructions`](/api/send-signature-instruction)

<a id="example-response"></a>
#### Example response

<a id="response-202"></a>
### Response (202)

```json
{
  "status": "inProgress",
  "signatureInstructionId": "a37439165d134678a9100ebba3b29597",
  "link": {
    "rel": "self",
    "method": "GET",
    "href": "https://api.payroc.com/v1/signature-instructions/a37439165d134678a9100ebba3b29597"
  }
}
```

<a id="step-2-view-the-status-of-a-signature-instruction"></a>
## Step 2. View the status of a signature instruction

To check for updates to the status of the signature instruction, send a GET request to the Signature Instructions endpoint.

| Environment | URL |
| --- | --- |
| Test | [https://api.uat.payroc.com/v1/signature-instructions/\{signatureInstructionId\}](https://api.uat.payroc.com/v1/signature-instructions/%7BsignatureInstructionId%7D) |
| Production | [https://api.payroc.com/v1/signature-instructions/\{signatureInstructionId\}](https://api.payroc.com/v1/signature-instructions/%7BsignatureInstructionId%7D) |

Before our gateway sends a response, it waits for up to a minute for the status of the instruction to change. We recommend that you keep the session open until the status of the instruction changes or the request times out.

If the status of the instruction doesn’t change, send another GET request. Our gateway waits up to a minute for the status of the instruction to change. Continue to send GET requests until the status changes.

**Note:** Wait until you receive a response from our gateway before you send another request.

<a id="request-parameters-1"></a>
### Request parameters

To create your request, use the following parameters:

<a id="schema-requestpath"></a>
### Schema (`request.path`)

[Path parameters for `GET /signature-instructions/{signatureInstructionId}`](/api/get-signature-instruction)

<a id="example-request-1"></a>
#### Example request

<a id="request-1"></a>
### Request

GET [https://api.payroc.com/v1/signature-instructions/\{signatureInstructionId\}](https://api.payroc.com/v1/signature-instructions/%7BsignatureInstructionId%7D)

**`Signature instruction`**

```curl
curl https://api.payroc.com/v1/signature-instructions/a37439165d134678a9100ebba3b29597 \
     -H "Authorization: Bearer <token>"
```

**`Signature instruction`**

```python
import requests

url = "https://api.payroc.com/v1/signature-instructions/a37439165d134678a9100ebba3b29597"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

**`Signature instruction`**

```javascript
const url = 'https://api.payroc.com/v1/signature-instructions/a37439165d134678a9100ebba3b29597';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

**`Signature instruction`**

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.payroc.com/v1/signature-instructions/a37439165d134678a9100ebba3b29597"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

**`Signature instruction`**

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.payroc.com/v1/signature-instructions/a37439165d134678a9100ebba3b29597")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

**`Signature instruction`**

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.payroc.com/v1/signature-instructions/a37439165d134678a9100ebba3b29597")
  .header("Authorization", "Bearer <token>")
  .asString();
```

**`Signature instruction`**

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.payroc.com/v1/signature-instructions/a37439165d134678a9100ebba3b29597', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

**`Signature instruction`**

```csharp
using RestSharp;

var client = new RestClient("https://api.payroc.com/v1/signature-instructions/a37439165d134678a9100ebba3b29597");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

**`Signature instruction`**

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.payroc.com/v1/signature-instructions/a37439165d134678a9100ebba3b29597")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

<a id="response-fields-1"></a>
### Response fields

If your request is successful, we return the details of the signature instruction, including HATEOAS links to check the signature. Use the HATEOAS links to get the signatureId, which you need in Step 3.

If the status of the signature instruction is `inProgress`, our gateway waits up to a minute for the status to change before it returns a response.

<a id="schema-responsebody-1"></a>
### Schema (`response.body`)

[Response body schema for `GET /signature-instructions/{signatureInstructionId}`](/api/get-signature-instruction)

<a id="example-response-1"></a>
#### Example response

<a id="response-200"></a>
### Response (200)

```json
{
  "status": "completed",
  "signatureInstructionId": "a37439165d134678a9100ebba3b29597",
  "link": {
    "rel": "signature",
    "method": "GET",
    "href": "https://api.payroc.com/v1/signatures/M2MJOG6O2Y"
  }
}
```

<a id="step-3-view-the-signature-capture"></a>
## Step 3. View the signature capture

To view the signature that the payment device captured, send a GET request to the Signatures endpoint.

| Environment | URL |
| --- | --- |
| Test | [https://api.uat.payroc.com/v1/signatures/\{signatureId\}](https://api.uat.payroc.com/v1/signatures/%7BsignatureId%7D) |
| Production | [https://api.payroc.com/v1/signatures/\{signatureId\}](https://api.payroc.com/v1/signatures/%7BsignatureId%7D) |

<a id="request-parameters-2"></a>
### Request parameters

To create your request, use the following parameters:

<a id="schema-requestpath-1"></a>
### Schema (`request.path`)

[Path parameters for `GET /signatures/{signatureId}`](/api/retrieve-signature)

<a id="example-request-2"></a>
#### Example request

<a id="request-2"></a>
### Request

GET [https://api.payroc.com/v1/signatures/\{signatureId\}](https://api.payroc.com/v1/signatures/%7BsignatureId%7D)

**`Signature`**

```curl
curl https://api.payroc.com/v1/signatures/JDN4ILZB0T \
     -H "Authorization: Bearer <token>"
```

**`Signature`**

```python
import requests

url = "https://api.payroc.com/v1/signatures/JDN4ILZB0T"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

**`Signature`**

```javascript
const url = 'https://api.payroc.com/v1/signatures/JDN4ILZB0T';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

**`Signature`**

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.payroc.com/v1/signatures/JDN4ILZB0T"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

**`Signature`**

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.payroc.com/v1/signatures/JDN4ILZB0T")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

**`Signature`**

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.payroc.com/v1/signatures/JDN4ILZB0T")
  .header("Authorization", "Bearer <token>")
  .asString();
```

**`Signature`**

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.payroc.com/v1/signatures/JDN4ILZB0T', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

**`Signature`**

```csharp
using RestSharp;

var client = new RestClient("https://api.payroc.com/v1/signatures/JDN4ILZB0T");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

**`Signature`**

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.payroc.com/v1/signatures/JDN4ILZB0T")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

<a id="response-fields-2"></a>
### Response fields

If your request is successful, we return the details of the signature.

<a id="schema-responsebody-2"></a>
### Schema (`response.body`)

[Response body schema for `GET /signatures/{signatureId}`](/api/retrieve-signature)

<a id="example-response-2"></a>
#### Example response

<a id="response-200-1"></a>
### Response (200)

```json
{
  "signatureId": "JDN4ILZB0T",
  "processingTerminalId": "1024",
  "createdOn": "2024-07-02",
  "contentType": "image/png",
  "signature": "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"
}
```

<a id="optional-cancel-a-signature-instruction"></a>
## (Optional) Cancel a signature instruction

To cancel a signature instruction, send a DELETE request to the Signature Instructions endpoint.

| Environment | URL |
| --- | --- |
| Test | [https://api.uat.payroc.com/v1/signature-instructions/\{signatureInstructionId\}](https://api.uat.payroc.com/v1/signature-instructions/%7BsignatureInstructionId%7D) |
| Production | [https://api.payroc.com/v1/signature-instructions/\{signatureInstructionId\}](https://api.payroc.com/v1/signature-instructions/%7BsignatureInstructionId%7D) |

**Note:** You can cancel a signature instruction only if its status is `inProgress`.

<a id="request-parameters-3"></a>
### Request parameters

To create your request, use the following parameters:

<a id="schema-requestpath-2"></a>
### Schema (`request.path`)

[Path parameters for `DELETE /signature-instructions/{signatureInstructionId}`](/api/delete-signature-instruction)

<a id="example-request-3"></a>
#### Example request

<a id="schema"></a>
### Schema

[Operation schema for `DELETE /signature-instructions/{signatureInstructionId}`](/api/delete-signature-instruction)

<a id="response"></a>
### Response

If your request is successful, we cancel the signature instruction.
